# Uses of Package
javax.persistence

Packages that use javax.persistence
javax.persistence
javax.persistence.criteria
javax.persistence.spi

Classes in javax.persistence used by javax.persistence
Class and Description
AccessType
Cache
CacheRetrieveMode
CacheStoreMode
CascadeType
DiscriminatorType
EntityManager
EntityManagerFactory
EntityTransaction
EnumType
FetchType
FlushModeType
GenerationType
InheritanceType
LockModeType
Parameter
PersistenceContextType
PersistenceException
PersistenceUnitUtil
PersistenceUtil
PessimisticLockScope
Query
SharedCacheMode
TemporalType
TupleElement
TypedQuery
ValidationMode

Classes in javax.persistence used by javax.persistence.criteria
Class and Description
Parameter
Tuple
TupleElement

Classes in javax.persistence used by javax.persistence.spi
Class and Description
EntityManagerFactory
SharedCacheMode
ValidationMode